### Class

# EBackend CollectionBackendFactory

since: 3.6

#### Description [src]

    class EBackend.CollectionBackendFactory : EBackend.BackendFactory
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.6

#### Hierarchy

#### Ancestors

- EBackendFactory
- EExtension
- GObject

#### Instance methods

###### e_collection_backend_factory_prepare_mail

Convenience function to populate a set of `ESource` instances with mail account information to be added to an `ECollectionBackend`. This is mainly used for vendor-specific collection backends like Google or Yahoo! where the host, port, and security details are known ahead of time and only user-specific information needs to be filled in.

since: 3.6

##### Methods inherited from EBackendFactory (4)

###### e_backend_factory_get_hash_key

Returns a hash key which uniquely identifies `factory`.

since: 3.4

###### e_backend_factory_get_module_filename

Returns the filename of the shared library for the module used to load the backends provided by `factory`.

since: 3.16

###### e_backend_factory_new_backend

Returns a new `EBackend` instance for `source`.

since: 3.4

###### e_backend_factory_share_subprocess

Returns TRUE if the `factory` wants to share the subprocess for all backends provided by itself. Otherwise, returns FALSE.

since: 3.16

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBackendCollectionBackendFactoryClass {
      void (* prepare_mail) (
        ECollectionBackendFactory* factory,
        ESource* mail_account_source,
        ESource* mail_identity_source,
        ESource* mail_transport_source
      );

    }

No description available.

###### Class members

`prepare_mail: void (* prepare_mail) ( ECollectionBackendFactory* factory, ESource* mail_account_source, ESource* mail_identity_source, ESource* mail_transport_source )`

  No description available.

#### Virtual methods

###### EBackend.CollectionBackendFactoryClass.prepare_mail

Convenience function to populate a set of `ESource` instances with mail account information to be added to an `ECollectionBackend`. This is mainly used for vendor-specific collection backends like Google or Yahoo! where the host, port, and security details are known ahead of time and only user-specific information needs to be filled in.

since: 3.6